Create One Address
curl --request POST \
--url https://api.upwell.com/api/rest/addresses \
--header 'Content-Type: application/json' \
--data '
{
"input": {
"canonicalAddress": {},
"canonicalAddressId": "<string>",
"city": "<string>",
"company": {},
"companyId": "<string>",
"companyName": "<string>",
"contactId": "<string>",
"customerId": "<string>",
"locationCode": {},
"locationCodeId": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"zipOrPostalCode": "<string>"
}
}
'import requests
url = "https://api.upwell.com/api/rest/addresses"
payload = { "input": {
"canonicalAddress": {},
"canonicalAddressId": "<string>",
"city": "<string>",
"company": {},
"companyId": "<string>",
"companyName": "<string>",
"contactId": "<string>",
"customerId": "<string>",
"locationCode": {},
"locationCodeId": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"zipOrPostalCode": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
canonicalAddress: {},
canonicalAddressId: '<string>',
city: '<string>',
company: {},
companyId: '<string>',
companyName: '<string>',
contactId: '<string>',
customerId: '<string>',
locationCode: {},
locationCodeId: '<string>',
name: '<string>',
phoneNumber: '<string>',
stateOrProvince: '<string>',
streetLine1: '<string>',
streetLine2: '<string>',
streetLine3: '<string>',
zipOrPostalCode: '<string>'
}
})
};
fetch('https://api.upwell.com/api/rest/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createAddress": {
"city": "<string>",
"companyName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"stateOrProvince": "<string>",
"streetLine1": "<string>",
"streetLine2": "<string>",
"streetLine3": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"zipOrPostalCode": "<string>"
}
}Addresses
Create One Address
Create a new address
POST
/
api
/
rest
/
addresses
Create One Address
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Body
application/json
Query parameters can also be provided in the request body as a JSON object
input type for inserting data into table "addresses"
Show child attributes
Show child attributes
Response
200 - application/json
Responses for POST /api/rest/addresses
columns and relationships of "addresses"
Show child attributes
Show child attributes
āI

